Installazione fallita su ubuntu 22.04

Sto cercando di installare Discourse su un server Ubuntu appena installato, ma non funziona. Sto seguendo la guida su GitHub

Log completo

root@website1-2:/var/discourse# ./discourse-setup
Impossibile trovare docker o docker.io nel PATH.
Premi Invio per installare Docker da https://get.docker.com/ o Ctrl+C per uscire
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 21927  100 21927    0     0   137k      0 --:--:-- --:--:-- --:--:--  137k
# Esecuzione dello script di installazione di Docker, commit: e5543d473431b782227f8908005543bb4389b8de
+ sh -c apt-get update -qq >/dev/null
+ sh -c DEBIAN_FRONTEND=noninteractive apt-get install -y -qq apt-transport-https ca-certificates curl >/dev/null
+ sh -c install -m 0755 -d /etc/apt/keyrings
+ sh -c curl -fsSL "https://download.docker.com/linux/ubuntu/gpg" | gpg --dearmor --yes -o /etc/apt/keyrings/docker.gpg
+ sh -c chmod a+r /etc/apt/keyrings/docker.gpg
+ sh -c echo "deb [arch=amd64 signed-by=/etc/apt/keyrings/docker.gpg] https://download.docker.com/linux/ubuntu jammy stable" > /etc/apt/sources.list.d/docker.list
+ sh -c apt-get update -qq >/dev/null
+ sh -c DEBIAN_FRONTEND=noninteractive apt-get install -y -qq docker-ce docker-ce-cli containerd.io docker-compose-plugin docker-ce-rootless-extras docker-buildx-plugin >/dev/null
+ sh -c docker version
Client: Docker Engine - Community
 Version:           24.0.7
 API version:       1.43
 Go version:        go1.20.10
 Git commit:        afdd53b
 Built:             Thu Oct 26 09:07:41 2023
 OS/Arch:           linux/amd64
 Context:           default

Server: Docker Engine - Community
 Engine:
  Version:          24.0.7
  API version:      1.43 (minimum version 1.12)
  Go version:       go1.20.10
  Git commit:       311b9ff
  Built:            Thu Oct 26 09:07:41 2023
  OS/Arch:          linux/amd64
  Experimental:     false
 containerd:
  Version:          1.6.26
  GitCommit:        3dd1e886e55dd695541fdcd67420c2888645a495
 runc:
  Version:          1.1.10
  GitCommit:        v1.1.10-0-g18a0cb0
 docker-init:
  Version:          0.19.0
  GitCommit:        de40ad0

================================================================================

Per eseguire Docker come utente non privilegiato, considera di configurare il
demonio Docker in modalità rootless per il tuo utente:

    dockerd-rootless-setuptool.sh install

Visita https://docs.docker.com/go/rootless/ per saperne di più sulla modalità rootless.


Per eseguire il demone Docker come servizio completamente privilegiato, ma concedendo l'accesso
agli utenti non root, fai riferimento a https://docs.docker.com/go/daemon-access/

ATTENZIONE: L'accesso alla API remota su un demone Docker privilegiato è equivalente
         all'accesso root sull'host. Fai riferimento alla documentazione 'Docker daemon attack surface'
         per i dettagli: https://docs.docker.com/go/attack-surface/

================================================================================

Le porte 80 e 443 sono libere per l'uso
'samples/standalone.yml' -> 'containers/app.yml'
Trovati 16GB di memoria e 2 core CPU fisici
impostazione db_shared_buffers = 4096MB
impostazione UNICORN_WORKERS = 4
parametri di memoria containers/app.yml aggiornati.

Hostname per il tuo Discourse? [discourse.example.com]: discourse.altisliferoleplay.org

Verifica del nome di dominio . . .
Connessione a discourse.altisliferoleplay.org riuscita.
Indirizzo email per l'account admin? [me@example.com,you@example.com]: support@alitsliferoleplay.org
Indirizzo server SMTP? [smtp.example.com]: smtp-relay.brevo.com
Porta SMTP? [587]:
Nome utente SMTP? [user@example.com]: johnwilson.alrp@gmail.com
Password SMTP? [pa$$word]: 
Indirizzo email per le notifiche? [noreply@discourse.altisliferoleplay.org]:
Indirizzo email opzionale per gli avvisi di Let's Encrypt? (INVIO per saltare) [me@example.com]:
Chiave di licenza Maxmind opzionale (INVIO per continuare senza il database di geolocalizzazione MAXMIND GeoLite2) [1234567890123456]:

Sembra tutto corretto?

Hostname          : discourse.altisliferoleplay.org
Email             : support@alitsliferoleplay.org
Indirizzo SMTP    : smtp-relay.brevo.com
Porta SMTP        : 587
Nome utente SMTP  : johnwilson.alrp@gmail.com
Password SMTP     : 
Email notifiche   : noreply@discourse.altisliferoleplay.org
Licenza Maxmind: (non impostata)

INVIO per continuare, 'n' per riprovare, Ctrl+C per uscire:
letsencrypt.ssl.template.yml abilitato


File di configurazione in containers/app.yml aggiornato con successo!

Aggiornamenti riusciti. Ricostruzione in 5 secondi.
Costruzione app
Architettura x86_64 rilevata.

ATTENZIONE: Stiamo per iniziare a scaricare l'immagine base di Discourse
Questo processo può richiedere da alcuni minuti a un'ora, a seconda della velocità della tua rete

Si prega di avere pazienza

2.0.20231218-0429: Pulling from discourse/base
b7f91549542c: Pulling fs layer
5cdde94355fe: Pulling fs layer
434a387f7a80: Pulling fs layer
0e5fc7c719a4: Waiting
7961e0d55220: Waiting
4f4fb700ef54: Waiting
8b82d7bdf4f9: Waiting
1eed080638e9: Waiting
4f538be5ec28: Waiting
c1785d501d24: Waiting
bd81830e80bd: Waiting
827b2e2e3ed5: Waiting
8786b6008a7c: Waiting
38bde042d779: Waiting
6ad6d11f72f0: Waiting
625443f7f5de: Waiting
91ba136bdf2b: Waiting
6cd5f4616e9f: Waiting
6d71c539d3d7: Waiting
adfdc80b4cd5: Waiting
17d7850d477d: Waiting
130866fdb8a5: Waiting
281e1348fc3a: Pull complete
f1da19761d59: Pull complete
4aeedd43e8bd: Pull complete
cb2c595282ad: Pull complete
35fc9870d600: Pull complete
71238037e7c0: Pull complete
c143b5764eed: Pull complete
906cdb3a6da0: Pull complete
d3527541c22c: Pull complete
a6a16a7e1001: Pull complete
eb6a1c388227: Pull complete
cd562cb91c76: Pull complete
a62b13524252: Pull complete
d510eec47d7a: Pull complete
e9001e5714e9: Pull complete
f827746a2eb4: Pull complete
42b8ce37112e: Pull complete
2d9a732e38ef: Pull complete
15219e09fc41: Pull complete
927c2a1aa345: Pull complete
0c00c50ac00f: Pull complete
45f11782ebad: Pull complete
516206729574: Pull complete
Digest: sha256:468f70b9bb4c6d0c6c2bbb3efc1a5e12d145eae57bdb6946b7fe5558beb52dc1
Status: Downloaded newer image for discourse/base:2.0.20231218-0429
docker.io/discourse/base:2.0.20231218-0429
Verifica che il launcher sia aggiornato
Recupero origine
Il launcher è aggiornato
2.0.20231218-0429: Pulling from discourse/base
Digest: sha256:468f70b9bb4c6d0c6c2bbb3efc1a5e12d145eae57bdb6946b7fe5558beb52dc1
Status: Image is up to date for discourse/base:2.0.20231218-0429
docker.io/discourse/base:2.0.20231218-0429
/usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups.rb
/usr/local/bin/pups --stdin
I, [2023-12-25T20:07:27.345506 #1]  INFO -- : Lettura da stdin
I, [2023-12-25T20:07:27.349045 #1]  INFO -- : > locale-gen $LANG && update-locale
I, [2023-12-25T20:07:27.368968 #1]  INFO -- : Generazione delle locale (potrebbe richiedere un po' di tempo)...
Generazione completata.

I, [2023-12-25T20:07:27.369100 #1]  INFO -- : > mkdir -p /shared/postgres_run
I, [2023-12-25T20:07:27.371188 #1]  INFO -- :
I, [2023-12-25T20:07:27.371381 #1]  INFO -- : > chown postgres:postgres /shared/postgres_run
I, [2023-12-25T20:07:27.373109 #1]  INFO -- :
I, [2023-12-25T20:07:27.373255 #1]  INFO -- : > chmod 775 /shared/postgres_run
I, [2023-12-25T20:07:27.374765 #1]  INFO -- :
I, [2023-12-25T20:07:27.374891 #1]  INFO -- : > rm -fr /var/run/postgresql
I, [2023-12-25T20:07:27.376553 #1]  INFO -- :
I, [2023-12-25T20:07:27.376686 #1]  INFO -- : > ln -s /shared/postgres_run /var/run/postgresql
I, [2023-12-25T20:07:27.378198 #1]  INFO -- :
I, [2023-12-25T20:07:27.378323 #1]  INFO -- : > socat /dev/null UNIX-CONNECT:/shared/postgres_run/.s.PGSQL.5432 || exit 0 && echo postgres già in esecuzione, arresta il container ; exit 1
2023/12/25 20:07:27 socat[19] E connect(6, AF=1 "/shared/postgres_run/.s.PGSQL.5432", 36): No such file or directory
I, [2023-12-25T20:07:27.382123 #1]  INFO -- :
I, [2023-12-25T20:07:27.382235 #1]  INFO -- : > rm -fr /shared/postgres_run/.s*
I, [2023-12-25T20:07:27.384252 #1]  INFO -- :
I, [2023-12-25T20:07:27.384359 #1]  INFO -- : > rm -fr /shared/postgres_run/*.pid
I, [2023-12-25T20:07:27.386309 #1]  INFO -- :
I, [2023-12-25T20:07:27.386419 #1]  INFO -- : > mkdir -p /shared/postgres_run/13-main.pg_stat_tmp
I, [2023-12-25T20:07:27.388158 #1]  INFO -- :
I, [2023-12-25T20:07:27.388391 #1]  INFO -- : > chown postgres:postgres /shared/postgres_run/13-main.pg_stat_tmp
I, [2023-12-25T20:07:27.389967 #1]  INFO -- :
I, [2023-12-25T20:07:27.393464 #1]  INFO -- : File > /etc/service/postgres/run  chmod: +x  chown:
I, [2023-12-25T20:07:27.396792 #1]  INFO -- : File > /etc/service/postgres/log/run  chmod: +x  chown:
I, [2023-12-25T20:07:27.400185 #1]  INFO -- : File > /etc/runit/3.d/99-postgres  chmod: +x  chown:
I, [2023-12-25T20:07:27.403531 #1]  INFO -- : File > /root/upgrade_postgres  chmod: +x  chown:
I, [2023-12-25T20:07:27.403782 #1]  INFO -- : > chown -R root /var/lib/postgresql/13/main
I, [2023-12-25T20:07:28.339114 #1]  INFO -- :
I, [2023-12-25T20:07:28.339268 #1]  INFO -- : > [ ! -e /shared/postgres_data ] && install -d -m 0755 -o postgres -g postgres /shared/postgres_data && sudo -E -u postgres /usr/lib/postgresql/13/bin/initdb -D /shared/postgres_data || exit 0
initdb: warning: abilitazione dell'autenticazione "trust" per le connessioni locali
Puoi modificare questo impostando pg_hba.conf o usando l'opzione -A, o
--auth-local e --auth-host, la prossima volta che esegui initdb.
I, [2023-12-25T20:07:28.930681 #1]  INFO -- : I file appartenenti a questo sistema di database saranno di proprietà dell'utente "postgres".
Questo utente deve anche possedere il processo server.

Il cluster di database verrà inizializzato con la locale "en_US.UTF-8".
La codifica predefinita del database è stata di conseguenza impostata su "UTF8".
La configurazione predefinita della ricerca testuale sarà impostata su "english".

I checksum delle pagine di dati sono disabilitati.

correzione dei permessi sulla directory esistente /shared/postgres_data ... ok
creazione delle sottodirectory ... ok
selezione dell'implementazione della memoria condivisa dinamica ... posix
selezione del valore predefinito di max_connections ... 100
selezione del valore predefinito di shared_buffers ... 128MB
selezione del fuso orario predefinito ... Etc/UTC
creazione dei file di configurazione ... ok
esecuzione dello script di bootstrap ... ok
esecuzione dell'inizializzazione post-bootstrap ... ok
sincronizzazione dei dati su disco ... ok


Successo. Ora puoi avviare il server di database usando:

    /usr/lib/postgresql/13/bin/pg_ctl -D /shared/postgres_data -l logfile start


I, [2023-12-25T20:07:28.930769 #1]  INFO -- : > chown -R postgres:postgres /shared/postgres_data
I, [2023-12-25T20:07:28.935017 #1]  INFO -- :
I, [2023-12-25T20:07:28.935140 #1]  INFO -- : > chown -R postgres:postgres /var/run/postgresql
I, [2023-12-25T20:07:28.937004 #1]  INFO -- :
I, [2023-12-25T20:07:28.937162 #1]  INFO -- : > /root/upgrade_postgres
I, [2023-12-25T20:07:28.940462 #1]  INFO -- :
I, [2023-12-25T20:07:28.940581 #1]  INFO -- : > rm /root/upgrade_postgres
I, [2023-12-25T20:07:28.942059 #1]  INFO -- :
I, [2023-12-25T20:07:28.942306 #1]  INFO -- : Sostituzione di data_directory = '/var/lib/postgresql/13/main' con data_directory = '/shared/postgres_data' in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:07:28.942736 #1]  INFO -- : Sostituzione di (?-mix:#?listen_addresses *=.*) con listen_addresses = '*' in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:07:28.942980 #1]  INFO -- : Sostituzione di (?-mix:#?synchronous_commit *=.*) con synchronous_commit = $db_synchronous_commit in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:07:28.943775 #1]  INFO -- : Sostituzione di (?-mix:#?shared_buffers *=.*) con shared_buffers = $db_shared_buffers in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:07:28.944554 #1]  INFO -- : Sostituzione di (?-mix:#?work_mem *=.*) con work_mem = $db_work_mem in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:07:28.945283 #1]  INFO -- : Sostituzione di (?-mix:#?default_text_search_config *=.*) con default_text_search_config = '$db_default_text_search_config' in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:07:28.945912 #1]  INFO -- : > install -d -m 0755 -o postgres -g postgres /shared/postgres_backup
I, [2023-12-25T20:07:28.947918 #1]  INFO -- :
I, [2023-12-25T20:07:28.948183 #1]  INFO -- : Sostituzione di (?-mix:#?checkpoint_segments *=.*) con checkpoint_segments = $db_checkpoint_segments in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:07:28.948462 #1]  INFO -- : Sostituzione di (?-mix:#?logging_collector *=.*) con logging_collector = $db_logging_collector in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:07:28.949082 #1]  INFO -- : Sostituzione di (?-mix:#?log_min_duration_statement *=.*) con log_min_duration_statement = $db_log_min_duration_statement in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:07:28.949705 #1]  INFO -- : Sostituzione di (?-mix:^#local +replication +postgres +peer$) con local replication postgres  peer in /etc/postgresql/13/main/pg_hba.conf
I, [2023-12-25T20:07:28.949892 #1]  INFO -- : Sostituzione di (?-mix:^host.*all.*all.*127.*$) con host all all 0.0.0.0/0 md5 in /etc/postgresql/13/main/pg_hba.conf
I, [2023-12-25T20:07:28.950079 #1]  INFO -- : Sostituzione di (?-mix:^host.*all.*all.*::1\/128.*$) con host all all ::/0 md5 in /etc/postgresql/13/main/pg_hba.conf
I, [2023-12-25T20:07:28.950525 #1]  INFO -- : > HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main
I, [2023-12-25T20:07:28.951703 #1]  INFO -- : > sleep 5
2023-12-25 20:07:29.017 UTC [57] LOG:  avvio di PostgreSQL 13.13 (Debian 13.13-1.pgdg110+1) su x86_64-pc-linux-gnu, compilato da gcc (Debian 10.2.1-6) 10.2.1 20210110, 64-bit
2023-12-25 20:07:29.017 UTC [57] LOG:  ascolto sull'indirizzo IPv4 "0.0.0.0", porta 5432
2023-12-25 20:07:29.017 UTC [57] LOG:  ascolto sull'indirizzo IPv6 "::", porta 5432
2023-12-25 20:07:29.019 UTC [57] LOG:  ascolto sul socket Unix "/var/run/postgresql/.s.PGSQL.5432"
2023-12-25 20:07:29.023 UTC [60] LOG:  il sistema di database è stato arrestato il 2023-12-25 20:07:28 UTC
2023-12-25 20:07:29.027 UTC [57] LOG:  il sistema di database è pronto ad accettare connessioni
I, [2023-12-25T20:07:33.953371 #1]  INFO -- :
I, [2023-12-25T20:07:33.953652 #1]  INFO -- : > su postgres -c 'createdb discourse' || true
I, [2023-12-25T20:07:34.065582 #1]  INFO -- :
I, [2023-12-25T20:07:34.065828 #1]  INFO -- : > su postgres -c 'psql discourse -c "create user discourse;"' || true
I, [2023-12-25T20:07:34.101608 #1]  INFO -- : CREATE ROLE

I, [2023-12-25T20:07:34.101811 #1]  INFO -- : > su postgres -c 'psql discourse -c "grant all privileges on database discourse to discourse;"' || true
I, [2023-12-25T20:07:34.135186 #1]  INFO -- : GRANT

I, [2023-12-25T20:07:34.135385 #1]  INFO -- : > su postgres -c 'psql discourse -c "alter schema public owner to discourse;"'
I, [2023-12-25T20:07:34.168472 #1]  INFO -- : ALTER SCHEMA

I, [2023-12-25T20:07:34.168684 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists hstore;"'
I, [2023-12-25T20:07:34.211377 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-25T20:07:34.211549 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists pg_trgm;"'
I, [2023-12-25T20:07:34.249085 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-25T20:07:34.249272 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists vector;"'
I, [2023-12-25T20:07:34.287630 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-25T20:07:34.287921 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists hstore;"'
I, [2023-12-25T20:07:34.328662 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-25T20:07:34.328846 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists pg_trgm;"'
I, [2023-12-25T20:07:34.366014 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-25T20:07:34.366182 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists vector;"'
I, [2023-12-25T20:07:34.404159 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-25T20:07:34.404379 #1]  INFO -- : > sudo -u postgres psql discourse
I, [2023-12-25T20:07:34.405616 #1]  INFO -- : update pg_database set encoding = pg_char_to_encoding('UTF8') where datname = 'discourse' AND encoding = pg_char_to_encoding('SQL_ASCII');

I, [2023-12-25T20:07:34.441862 #1]  INFO -- : File > /var/lib/postgresql/take-database-backup  chmod: +x  chown: postgres:postgres
I, [2023-12-25T20:07:34.444033 #1]  INFO -- : File > /var/spool/cron/crontabs/postgres  chmod:   chown:
I, [2023-12-25T20:07:34.444111 #1]  INFO -- : > echo postgres installed!
I, [2023-12-25T20:07:34.445603 #1]  INFO -- : postgres installed!

I, [2023-12-25T20:07:34.449138 #1]  INFO -- : File > /etc/service/redis/run  chmod: +x  chown:
I, [2023-12-25T20:07:34.452559 #1]  INFO -- : File > /etc/service/redis/log/run  chmod: +x  chown:
I, [2023-12-25T20:07:34.456047 #1]  INFO -- : File > /etc/runit/3.d/10-redis  chmod: +x  chown:
I, [2023-12-25T20:07:34.456279 #1]  INFO -- : Sostituzione di daemonize yes con  in /etc/redis/redis.conf
I, [2023-12-25T20:07:34.456721 #1]  INFO -- : Sostituzione di (?-mix:^pidfile.*$) con  in /etc/redis/redis.conf
I, [2023-12-25T20:07:34.457053 #1]  INFO -- : > install -d -m 0755 -o redis -g redis /shared/redis_data
I, [2023-12-25T20:07:34.458986 #1]  INFO -- :
I, [2023-12-25T20:07:34.459346 #1]  INFO -- : Sostituzione di (?-mix:^logfile.*$) con logfile "" in /etc/redis/redis.conf
I, [2023-12-25T20:07:34.459804 #1]  INFO -- : Sostituzione di (?-mix:^bind .*$) con  in /etc/redis/redis.conf
I, [2023-12-25T20:07:34.461020 #1]  INFO -- : Sostituzione di (?-mix:^dir .*$) con dir /shared/redis_data in /etc/redis/redis.conf
I, [2023-12-25T20:07:34.462156 #1]  INFO -- : Sostituzione di (?-mix:^protected-mode yes) con protected-mode no in /etc/redis/redis.conf
I, [2023-12-25T20:07:34.463191 #1]  INFO -- : Sostituzione di # io-threads 4 con io-threads $redis_io_threads in /etc/redis/redis.conf
I, [2023-12-25T20:07:34.464233 #1]  INFO -- : > echo redis installed
I, [2023-12-25T20:07:34.465710 #1]  INFO -- : redis installed

I, [2023-12-25T20:07:34.465870 #1]  INFO -- : > cat /etc/redis/redis.conf | grep logfile
I, [2023-12-25T20:07:34.468552 #1]  INFO -- : logfile ""

I, [2023-12-25T20:07:34.468749 #1]  INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2023-12-25T20:07:34.469904 #1]  INFO -- : > sleep 10
126:C 25 Dec 2023 20:07:34.474 # oO0OoO0OoO0Oo Redis è in avvio oO0OoO0OoO0Oo
126:C 25 Dec 2023 20:07:34.474 # Redis version=7.0.7, bits=64, commit=00000000, modified=0, pid=126, appena avviato
126:C 25 Dec 2023 20:07:34.474 # Configurazione caricata
126:M 25 Dec 2023 20:07:34.474 * monotonic clock: POSIX clock_gettime
126:M 25 Dec 2023 20:07:34.475 * Modalità di esecuzione=standalone, porta=6379.
126:M 25 Dec 2023 20:07:34.475 # Server inizializzato
126:M 25 Dec 2023 20:07:34.475 # ATTENZIONE: L'overcommit della memoria deve essere abilitato! Senza di esso, un salvataggio in background o una replicazione potrebbero fallire in condizioni di memoria bassa. Essendo disabilitato, può anche causare fallimenti senza condizioni di memoria bassa, vedi https://github.com/jemalloc/jemalloc/issues/1328. Per risolvere questo problema aggiungi 'vm.overcommit_memory = 1' a /etc/sysctl.conf e poi riavvia o esegui il comando 'sysctl vm.overcommit_memory=1' per rendere effettiva la modifica.
126:M 25 Dec 2023 20:07:34.475 * Pronto ad accettare connessioni
I, [2023-12-25T20:07:44.471723 #1]  INFO -- :
I, [2023-12-25T20:07:44.472013 #1]  INFO -- : > thpoff echo "thpoff è installato!"
I, [2023-12-25T20:07:44.474954 #1]  INFO -- : thpoff è installato!

I, [2023-12-25T20:07:44.475127 #1]  INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_SMTP_ADDRESS"] == "smtp.example.com"; puts "Interruzione! La mail non è configurata!"; exit 1; end'
I, [2023-12-25T20:07:44.521483 #1]  INFO -- :
I, [2023-12-25T20:07:44.521673 #1]  INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_HOSTNAME"] == "discourse.example.com"; puts "Interruzione! Il dominio non è configurato!"; exit 1; end'
I, [2023-12-25T20:07:44.567822 #1]  INFO -- :
I, [2023-12-25T20:07:44.567980 #1]  INFO -- : > /usr/local/bin/ruby -e 'if (ENV["DISCOURSE_CDN_URL"] || "")[0..1] == "//"; puts "Interruzione! Il CDN deve avere un protocollo specificato. Una volta corretto, dovresti ribakeare i tuoi post ora per correggere tutti i post."; exit 1; end'
I, [2023-12-25T20:07:44.613639 #1]  INFO -- :
I, [2023-12-25T20:07:44.613824 #1]  INFO -- : > rm -f /etc/cron.d/anacron
I, [2023-12-25T20:07:44.615856 #1]  INFO -- :
I, [2023-12-25T20:07:44.618063 #1]  INFO -- : File > /etc/cron.d/anacron  chmod:   chown:
I, [2023-12-25T20:07:44.621646 #1]  INFO -- : File > /etc/runit/1.d/copy-env  chmod: +x  chown:
I, [2023-12-25T20:07:44.625194 #1]  INFO -- : File > /etc/service/unicorn/run  chmod: +x  chown:
I, [2023-12-25T20:07:44.628799 #1]  INFO -- : File > /etc/service/nginx/run  chmod: +x  chown:
I, [2023-12-25T20:07:44.632270 #1]  INFO -- : File > /etc/runit/3.d/01-nginx  chmod: +x  chown:
I, [2023-12-25T20:07:44.635807 #1]  INFO -- : File > /etc/runit/3.d/02-unicorn  chmod: +x  chown:
I, [2023-12-25T20:07:44.635900 #1]  INFO -- : Sostituzione di # postgres con sv start postgres || exit 1 in /etc/service/unicorn/run
I, [2023-12-25T20:07:44.636160 #1]  INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2023-12-25T20:07:44.637859 #1]  INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse git reset --hard
153:C 25 Dec 2023 20:07:44.641 # oO0OoO0OoO0Oo Redis è in avvio oO0OoO0OoO0Oo
153:C 25 Dec 2023 20:07:44.641 # Redis version=7.0.7, bits=64, commit=00000000, modified=0, pid=153, appena avviato
153:C 25 Dec 2023 20:07:44.641 # Configurazione caricata
153:M 25 Dec 2023 20:07:44.642 * monotonic clock: POSIX clock_gettime
153:M 25 Dec 2023 20:07:44.642 # Warning: Impossibile creare il socket TCP di ascolto del server *:6379: bind: Indirizzo già in uso
153:M 25 Dec 2023 20:07:44.642 # Ascolto sulla porta 6379 (TCP) fallito, interruzione.
Aggiornamento file: 100% (33715/33715), fatto.
I, [2023-12-25T20:07:46.570484 #1]  INFO -- : HEAD è ora a 6ab1a19e9 DEV: Converti min_trust_level_to_allow_invite in gruppi (#24893)

I, [2023-12-25T20:07:46.570608 #1]  INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse git clean -f
I, [2023-12-25T20:07:46.665732 #1]  INFO -- :
I, [2023-12-25T20:07:46.665854 #1]  INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse bash -c '
  set -o errexit
  if [ $(git rev-parse --is-shallow-repository) == "true" ]; then
      git remote set-branches --add origin main
      git remote set-branches origin tests-passed
      git fetch --depth 1 origin tests-passed
  else
      git fetch --tags --prune-tags --prune --force origin
  fi
'
fatal: impossibile accedere a 'https://github.com/discourse/discourse.git/': gnutls_handshake() failed: Error in the pull function.
I, [2023-12-25T20:10:58.856132 #1]  INFO -- :
I, [2023-12-25T20:10:58.856511 #1]  INFO -- : Terminazione dei processi asincroni
I, [2023-12-25T20:10:58.856566 #1]  INFO -- : Invio di INT a HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main pid: 57
I, [2023-12-25T20:10:58.856600 #1]  INFO -- : Invio di TERM a exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf pid: 126
126:signal-handler (1703535058) Ricevuto SIGTERM, pianificazione dell'arresto...
2023-12-25 20:10:58.856 UTC [57] LOG:  ricevuta richiesta di arresto rapido
2023-12-25 20:10:58.858 UTC [57] LOG:  interruzione di eventuali transazioni attive
2023-12-25 20:10:58.860 UTC [57] LOG:  worker di background "logical replication launcher" (PID 66) terminato con codice di uscita 1
2023-12-25 20:10:58.860 UTC [61] LOG:  arresto in corso
126:M 25 Dec 2023 20:10:58.866 # Arresto richiesto dall'utente...
126:M 25 Dec 2023 20:10:58.866 * Salvataggio dello snapshot RDB finale prima dell'uscita.
126:M 25 Dec 2023 20:10:58.868 * DB salvato su disco
126:M 25 Dec 2023 20:10:58.868 # Redis è ora pronto per uscire, arrivederci...
2023-12-25 20:10:58.906 UTC [57] LOG:  il sistema di database è stato arrestato


FALLITO
--------------------
Pups::ExecError: cd /var/www/discourse && sudo -H -E -u discourse bash -c '
  set -o errexit
  if [ $(git rev-parse --is-shallow-repository) == "true" ]; then
      git remote set-branches --add origin main
      git remote set-branches origin tests-passed
      git fetch --depth 1 origin tests-passed
  else
      git fetch --tags --prune-tags --prune --force origin
  fi
' fallito con return #<Process::Status: pid 161 exit 128>
Posizione del fallimento: /usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups/exec_command.rb:132:in `spawn'
exec fallito con i parametri {"cd"=>"$home", "hook"=>"code", "cmd"=>["sudo -H -E -u discourse git reset --hard", "sudo -H -E -u discourse bash -c '
  set -o errexit
  if [ $(git rev-parse --is-shallow-repository) == "true" ]; then
      git remote set-branches --add origin main
      git remote set-branches origin tests-passed
      git fetch --depth 1 origin tests-passed
  else
      git fetch --tags --prune-tags --prune --force origin
  fi
'"]}

Per favore aiutami a risolverlo.-E -u discourse git clean -f", “sudo -H -E -u discourse bash -c ‘\n set -o errexit\n if [ $(git rev-parse --is-shallow-repository) == "true" ]; then\n git remote set-branches --add origin main\n git remote set-branches origin $version\n git fetch --depth 1 origin version\n else\n git fetch --tags --prune-tags --prune --force origin\n fi\n'", "sudo -H -E -u discourse bash -c '\n set -o errexit\n if [[ (git symbolic-ref --short HEAD) == $version ]] ; then\n git pull\n else\n git -c advice.detachedHead=false checkout $version\n fi\n’”, “sudo -H -E -u discourse git config user.discourse-version $version”, “mkdir -p tmp”, “chown discourse:www-data tmp”, “mkdir -p tmp/pids”, “mkdir -p tmp/sockets”, “touch tmp/.gitkeep”, “mkdir -p /shared/log/rails”, “bash -c "touch -a /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log"”, “bash -c "ln -s /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log $home/log"”, “bash -c "mkdir -p /shared/{uploads,backups}"”, “bash -c "ln -s /shared/{uploads,backups} $home/public"”, “bash -c "mkdir -p /shared/tmp/{backups,restores}"”, “bash -c "ln -s /shared/tmp/{backups,restores} $home/tmp"”, “chown -R discourse:www-data /shared/log/rails /shared/uploads /shared/backups /shared/tmp”, “[ ! -d public/plugins ] || find public/plugins/ -maxdepth 1 -xtype l -delete”]}
bootstrap non riuscito con codice di uscita 128
** BOOTSTRAP NON RIUSCITO ** scorri verso l’alto e cerca messaggi di errore precedenti, potrebbero essercene più di uno.
./discourse-doctor può aiutare a diagnosticare il problema.
7705f61a6461dbd699a332bc85822051cabd6e8be43f9ab1a9e0a21e782c3065

reale 9m22.068s
utente 0m14.066s
sistema 0m2.455s
root@website1-2:/var/discourse# ^C
root@website1-2:/var/discourse# ^C
root@website1-2:/var/discourse# ^C
root@website1-2:/var/discourse# ./discourse-doctor
DISCOURSE DOCTOR Lun Dic 25 20:17:32 UTC 2023
OS: Linux website1-2 6.2.0-1019-gcp #21~22.04.1-Ubuntu SMP Thu Nov 16 18:18:34 UTC 2023 x86_64 x86_64 x86_64 GNU/Linux

Trovato containers/app.yml

==================== IMPOSTAZIONI YML ====================
DISCOURSE_HOSTNAME=discourse.altisliferoleplay.org
SMTP_ADDRESS=smtp-relay.brevo.com
DEVELOPER_EMAILS=support@alitsliferoleplay.org
SMTP_PASSWORD=
SMTP_PORT=587
SMTP_USER_NAME=johnwilson.alrp@gmail.com
LETSENCRYPT_ACCOUNT_EMAIL=me@example.com

==================== INFO DOCKER ====================
VERSIONE DOCKER: Docker version 24.0.7, build afdd53b

PROCESSI DOCKER (docker ps -a)

CONTAINER ID IMMAGINE COMANDO CREATO STATO PORTE NOMI

==================== PROBLEMA GRAVE!!! ====================
app non in esecuzione!
Tentativo di ricostruzione
==================== LOG RICOSTRUZIONE ====================
architettura x86_64 rilevata.
Verifica che il launcher sia aggiornato
Recupero origin
Il launcher è aggiornato
2.0.20231218-0429: Pulling from discourse/base
Digest: sha256:468f70b9bb4c6d0c6c2bbb3efc1a5e12d145eae57bdb6946b7fe5558beb52dc1
Stato: l’immagine è aggiornata per discourse/base:2.0.20231218-0429
docker.io/discourse/base:2.0.20231218-0429
/usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups.rb
/usr/local/bin/pups --stdin
I, [2023-12-25T20:17:37.822262 #1] INFO – : Lettura da stdin
I, [2023-12-25T20:17:37.826063 #1] INFO – : > locale-gen $LANG && update-locale
I, [2023-12-25T20:17:37.845896 #1] INFO – : Generazione delle impostazioni locali (potrebbe richiedere un po’ di tempo)…
Generazione completata.

I, [2023-12-25T20:17:37.846027 #1] INFO – : > mkdir -p /shared/postgres_run
I, [2023-12-25T20:17:37.847970 #1] INFO – :
I, [2023-12-25T20:17:37.848182 #1] INFO – : > chown postgres:postgres /shared/postgres_run
I, [2023-12-25T20:17:37.849867 #1] INFO – :
I, [2023-12-25T20:17:37.850042 #1] INFO – : > chmod 775 /shared/postgres_run
I, [2023-12-25T20:17:37.851632 #1] INFO – :
I, [2023-12-25T20:17:37.851743 #1] INFO – : > rm -fr /var/run/postgresql
I, [2023-12-25T20:17:37.853460 #1] INFO – :
I, [2023-12-25T20:17:37.853580 #1] INFO – : > ln -s /shared/postgres_run /var/run/postgresql
I, [2023-12-25T20:17:37.855091 #1] INFO – :
I, [2023-12-25T20:17:37.855204 #1] INFO – : > socat /dev/null UNIX-CONNECT:/shared/postgres_run/.s.PGSQL.5432 || exit 0 && echo postgres già in esecuzione, fermare il contenitore ; exit 1
2023/12/25 20:17:37 socat[19] E connect(6, AF=1 “/shared/postgres_run/.s.PGSQL.5432”, 36): No such file or directory
I, [2023-12-25T20:17:37.858828 #1] INFO – :
I, [2023-12-25T20:17:37.858940 #1] INFO – : > rm -fr /shared/postgres_run/.s*
I, [2023-12-25T20:17:37.860919 #1] INFO – :
I, [2023-12-25T20:17:37.861024 #1] INFO – : > rm -fr /shared/postgres_run/.pid
I, [2023-12-25T20:17:37.863023 #1] INFO – :
I, [2023-12-25T20:17:37.863137 #1] INFO – : > mkdir -p /shared/postgres_run/13-main.pg_stat_tmp
I, [2023-12-25T20:17:37.864814 #1] INFO – :
I, [2023-12-25T20:17:37.864991 #1] INFO – : > chown postgres:postgres /shared/postgres_run/13-main.pg_stat_tmp
I, [2023-12-25T20:17:37.866592 #1] INFO – :
I, [2023-12-25T20:17:37.870099 #1] INFO – : File > /etc/service/postgres/run chmod: +x chown:
I, [2023-12-25T20:17:37.873445 #1] INFO – : File > /etc/service/postgres/log/run chmod: +x chown:
I, [2023-12-25T20:17:37.876890 #1] INFO – : File > /etc/runit/3.d/99-postgres chmod: +x chown:
I, [2023-12-25T20:17:37.880201 #1] INFO – : File > /root/upgrade_postgres chmod: +x chown:
I, [2023-12-25T20:17:37.880436 #1] INFO – : > chown -R root /var/lib/postgresql/13/main
I, [2023-12-25T20:17:38.868404 #1] INFO – :
I, [2023-12-25T20:17:38.868545 #1] INFO – : > [ ! -e /shared/postgres_data ] && install -d -m 0755 -o postgres -g postgres /shared/postgres_data && sudo -E -u postgres /usr/lib/postgresql/13/bin/initdb -D /shared/postgres_data || exit 0
I, [2023-12-25T20:17:38.870420 #1] INFO – :
I, [2023-12-25T20:17:38.870509 #1] INFO – : > chown -R postgres:postgres /shared/postgres_data
I, [2023-12-25T20:17:38.875554 #1] INFO – :
I, [2023-12-25T20:17:38.875700 #1] INFO – : > chown -R postgres:postgres /var/run/postgresql
I, [2023-12-25T20:17:38.877461 #1] INFO – :
I, [2023-12-25T20:17:38.877636 #1] INFO – : > /root/upgrade_postgres
I, [2023-12-25T20:17:38.880836 #1] INFO – :
I, [2023-12-25T20:17:38.880952 #1] INFO – : > rm /root/upgrade_postgres
I, [2023-12-25T20:17:38.882445 #1] INFO – :
I, [2023-12-25T20:17:38.882666 #1] INFO – : Sostituzione di data_directory = ‘/var/lib/postgresql/13/main’ con data_directory = ‘/shared/postgres_data’ in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:17:38.883053 #1] INFO – : Sostituzione di (?-mix:#?listen_addresses =.) con listen_addresses = '
’ in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:17:38.883329 #1] INFO – : Sostituzione di (?-mix:#?synchronous_commit =.) con synchronous_commit = $db_synchronous_commit in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:17:38.883987 #1] INFO – : Sostituzione di (?-mix:#?shared_buffers =.) con shared_buffers = $db_shared_buffers in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:17:38.884663 #1] INFO – : Sostituzione di (?-mix:#?work_mem =.) con work_mem = $db_work_mem in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:17:38.885211 #1] INFO – : Sostituzione di (?-mix:#?default_text_search_config =.) con default_text_search_config = ‘$db_default_text_search_config’ in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:17:38.885716 #1] INFO – : > install -d -m 0755 -o postgres -g postgres /shared/postgres_backup
I, [2023-12-25T20:17:38.887723 #1] INFO – :
I, [2023-12-25T20:17:38.888001 #1] INFO – : Sostituzione di (?-mix:#?checkpoint_segments =.) con checkpoint_segments = $db_checkpoint_segments in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:17:38.888295 #1] INFO – : Sostituzione di (?-mix:#?logging_collector =.) con logging_collector = $db_logging_collector in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:17:38.888889 #1] INFO – : Sostituzione di (?-mix:#?log_min_duration_statement =.) con log_min_duration_statement = $db_log_min_duration_statement in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:17:38.889401 #1] INFO – : Sostituzione di (?-mix:^#local +replication +postgres +peer$) con local replication postgres peer in /etc/postgresql/13/main/pg_hba.conf
I, [2023-12-25T20:17:38.889640 #1] INFO – : Sostituzione di (?-mix:^host.*all.*all.127.$) con host all all 0.0.0.0/0 md5 in /etc/postgresql/13/main/pg_hba.conf
I, [2023-12-25T20:17:38.889858 #1] INFO – : Sostituzione di (?-mix:^host.all.all.::1/128.$) con host all all ::/0 md5 in /etc/postgresql/13/main/pg_hba.conf
I, [2023-12-25T20:17:38.890210 #1] INFO – : > HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main
I, [2023-12-25T20:17:38.891443 #1] INFO – : > sleep 5
2023-12-25 20:17:38.958 UTC [42] LOG: avvio di PostgreSQL 13.13 (Debian 13.13-1.pgdg110+1) su x86_64-pc-linux-gnu, compilato da gcc (Debian 10.2.1-6) 10.2.1 20210110, 64-bit
2023-12-25 20:17:38.958 UTC [42] LOG: ascolto sull’indirizzo IPv4 “0.0.0.0”, porta 5432
2023-12-25 20:17:38.958 UTC [42] LOG: ascolto sull’indirizzo IPv6 “::”, porta 5432
2023-12-25 20:17:38.960 UTC [42] LOG: ascolto sulla socket Unix “/var/run/postgresql/.s.PGSQL.5432”
2023-12-25 20:17:38.964 UTC [45] LOG: il sistema database è stato arrestato il 2023-12-25 20:10:58 UTC
2023-12-25 20:17:38.968 UTC [42] LOG: il sistema database è pronto ad accettare connessioni
I, [2023-12-25T20:17:43.893101 #1] INFO – :
I, [2023-12-25T20:17:43.893368 #1] INFO – : > su postgres -c ‘createdb discourse’ || true
2023-12-25 20:17:43.929 UTC [55] postgres@postgres ERROR: il database “discourse” esiste già
2023-12-25 20:17:43.929 UTC [55] postgres@postgres STATEMENT: CREATE DATABASE discourse;
createdb: errore: creazione del database non riuscita: ERROR: il database “discourse” esiste già
I, [2023-12-25T20:17:43.930541 #1] INFO – :
I, [2023-12-25T20:17:43.930841 #1] INFO – : > su postgres -c ‘psql discourse -c “create user discourse;”’ || true
2023-12-25 20:17:43.965 UTC [59] postgres@discourse ERROR: il ruolo “discourse” esiste già
2023-12-25 20:17:43.965 UTC [59] postgres@discourse STATEMENT: create user discourse;
ERROR: il ruolo “discourse” esiste già
I, [2023-12-25T20:17:43.967147 #1] INFO – :
I, [2023-12-25T20:17:43.967381 #1] INFO – : > su postgres -c ‘psql discourse -c “grant all privileges on database discourse to discourse;”’ || true
I, [2023-12-25T20:17:44.001390 #1] INFO – : GRANT

I, [2023-12-25T20:17:44.001569 #1] INFO – : > su postgres -c ‘psql discourse -c “alter schema public owner to discourse;”’
I, [2023-12-25T20:17:44.034405 #1] INFO – : ALTER SCHEMA

I, [2023-12-25T20:17:44.034555 #1] INFO – : > su postgres -c ‘psql template1 -c “create extension if not exists hstore;”’
NOTICE: l’estensione “hstore” esiste già, salto
I, [2023-12-25T20:17:44.068963 #1] INFO – : CREATE EXTENSION

I, [2023-12-25T20:17:44.069141 #1] INFO – : > su postgres -c ‘psql template1 -c “create extension if not exists pg_trgm;”’
NOTICE: l’estensione “pg_trgm” esiste già, salto
I, [2023-12-25T20:17:44.102938 #1] INFO – : CREATE EXTENSION

I, [2023-12-25T20:17:44.103231 #1] INFO – : > su postgres -c ‘psql template1 -c “create extension if not exists vector;”’
NOTICE: l’estensione “vector” esiste già, salto
I, [2023-12-25T20:17:44.136547 #1] INFO – : CREATE EXTENSION

I, [2023-12-25T20:17:44.136804 #1] INFO – : > su postgres -c ‘psql discourse -c “create extension if not exists hstore;”’
NOTICE: l’estensione “hstore” esiste già, salto
I, [2023-12-25T20:17:44.169333 #1] INFO – : CREATE EXTENSION

I, [2023-12-25T20:17:44.169627 #1] INFO – : > su postgres -c ‘psql discourse -c “create extension if not exists pg_trgm;”’
NOTICE: l’estensione “pg_trgm” esiste già, salto
I, [2023-12-25T20:17:44.202195 #1] INFO – : CREATE EXTENSION

I, [2023-12-25T20:17:44.202350 #1] INFO – : > su postgres -c ‘psql discourse -c “create extension if not exists vector;”’
NOTICE: l’estensione “vector” esiste già, salto
I, [2023-12-25T20:17:44.235203 #1] INFO – : CREATE EXTENSION

I, [2023-12-25T20:17:44.235447 #1] INFO – : > sudo -u postgres psql discourse
I, [2023-12-25T20:17:44.236667 #1] INFO – : update pg_database set encoding = pg_char_to_encoding(‘UTF8’) where datname = ‘discourse’ AND encoding = pg_char_to_encoding(‘SQL_ASCII’);

I, [2023-12-25T20:17:44.273468 #1] INFO – : File > /var/lib/postgresql/take-database-backup chmod: +x chown: postgres:postgres
I, [2023-12-25T20:17:44.275581 #1] INFO – : File > /var/spool/cron/crontabs/postgres chmod: chown:
I, [2023-12-25T20:17:44.275661 #1] INFO – : > echo postgres installed!
I, [2023-12-25T20:17:44.277162 #1] INFO – : postgres installed!

I, [2023-12-25T20:17:44.280680 #1] INFO – : File > /etc/service/redis/run chmod: +x chown:
I, [2023-12-25T20:17:44.284106 #1] INFO – : File > /etc/service/redis/log/run chmod: +x chown:
I, [2023-12-25T20:17:44.287580 #1] INFO – : File > /etc/runit/3.d/10-redis chmod: +x chown:
I, [2023-12-25T20:17:44.287758 #1] INFO – : Sostituzione di daemonize yes con in /etc/redis/redis.conf
I, [2023-12-25T20:17:44.288183 #1] INFO – : Sostituzione di (?-mix:^pidfile.$) con in /etc/redis/redis.conf
I, [2023-12-25T20:17:44.288516 #1] INFO – : > install -d -m 0755 -o redis -g redis /shared/redis_data
I, [2023-12-25T20:17:44.290401 #1] INFO – :
I, [2023-12-25T20:17:44.290736 #1] INFO – : Sostituzione di (?-mix:^logfile.
$) con logfile “” in /etc/redis/redis.conf
I, [2023-12-25T20:17:44.291234 #1] INFO – : Sostituzione di (?-mix:^bind .$) con in /etc/redis/redis.conf
I, [2023-12-25T20:17:44.292358 #1] INFO – : Sostituzione di (?-mix:^dir .
$) con dir /shared/redis_data in /etc/redis/redis.conf
I, [2023-12-25T20:17:44.293507 #1] INFO – : Sostituzione di (?-mix:^protected-mode yes) con protected-mode no in /etc/redis/redis.conf
I, [2023-12-25T20:17:44.294570 #1] INFO – : Sostituzione di # io-threads 4 con io-threads $redis_io_threads in /etc/redis/redis.conf
I, [2023-12-25T20:17:44.295676 #1] INFO – : > echo redis installed
I, [2023-12-25T20:17:44.297197 #1] INFO – : redis installed

I, [2023-12-25T20:17:44.297338 #1] INFO – : > cat /etc/redis/redis.conf | grep logfile
I, [2023-12-25T20:17:44.300003 #1] INFO – : logfile “”

I, [2023-12-25T20:17:44.300156 #1] INFO – : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2023-12-25T20:17:44.301361 #1] INFO – : > sleep 10
111:C 25 Dic 2023 20:17:44.305 # oO0OoO0OoO0Oo Redis è in avvio oO0OoO0OoO0Oo
111:C 25 Dic 2023 20:17:44.305 # Redis version=7.0.7, bits=64, commit=00000000, modified=0, pid=111, appena avviato
111:C 25 Dic 2023 20:17:44.305 # Configurazione caricata
111:M 25 Dic 2023 20:17:44.306 * clock monotonic: POSIX clock_gettime
111:M 25 Dic 2023 20:17:44.306 * Modalità di esecuzione=standalone, porta=6379.
111:M 25 Dic 2023 20:17:44.306 # Server inizializzato
111:M 25 Dic 2023 20:17:44.306 # ATTENZIONE: Memory overcommit deve essere abilitato! Senza di esso, un salvataggio in background o una replicazione potrebbero fallire in condizioni di memoria insufficiente. Se disabilitato, può anche causare errori senza condizioni di memoria insufficiente, vedi vm.max_map_count growing steadily when vm.overcommit_memory is 2 · Issue #1328 · jemalloc/jemalloc · GitHub. Per risolvere questo problema aggiungi ‘vm.overcommit_memory = 1’ a /etc/sysctl.conf e poi riavvia o esegui il comando ‘sysctl vm.overcommit_memory=1’ per renderlo effettivo.
111:M 25 Dic 2023 20:17:44.306 * Caricamento RDB prodotto dalla versione 7.0.7
111:M 25 Dic 2023 20:17:44.306 * RDB age 406 seconds
111:M 25 Dic 2023 20:17:44.306 * RDB memory usage when created 0.82 Mb
111:M 25 Dic 2023 20:17:44.306 * Fatto caricamento RDB, chiavi caricate: 0, chiavi scadute: 0.
111:M 25 Dic 2023 20:17:44.306 * DB caricato da disco: 0.000 secondi
111:M 25 Dic 2023 20:17:44.307 * Pronto ad accettare connessioni
I, [2023-12-25T20:17:54.302956 #1] INFO – :
I, [2023-12-25T20:17:54.303356 #1] INFO – : > thpoff echo “thpoff è installato!”
I, [2023-12-25T20:17:54.306493 #1] INFO – : thpoff è installato!

I, [2023-12-25T20:17:54.306661 #1] INFO – : > /usr/local/bin/ruby -e ‘if ENV[“DISCOURSE_SMTP_ADDRESS”] == “smtp.example.com”; puts “Interruzione! Mail non configurata!”; exit 1; end’
I, [2023-12-25T20:17:54.353483 #1] INFO – :
I, [2023-12-25T20:17:54.353683 #1] INFO – : > /usr/local/bin/ruby -e ‘if ENV[“DISCOURSE_HOSTNAME”] == “discourse.example.com”; puts “Interruzione! Dominio non configurato!”; exit 1; end’
I, [2023-12-25T20:17:54.398993 #1] INFO – :
I, [2023-12-25T20:17:54.399215 #1] INFO – : > /usr/local/bin/ruby -e ‘if (ENV[“DISCOURSE_CDN_URL”] || “”)[0..1] == “//”; puts “Interruzione! CDN deve avere un protocollo specificato. Una volta corretto, dovresti ribakare i tuoi post ora per correggere tutti i post.”; exit 1; end’
I, [2023-12-25T20:17:54.444831 #1] INFO – :
I, [2023-12-25T20:17:54.444985 #1] INFO – : > rm -f /etc/cron.d/anacron
I, [2023-12-25T20:17:54.446911 #1] INFO – :
I, [2023-12-25T20:17:54.449075 #1] INFO – : File > /etc/cron.d/anacron chmod: chown:
I, [2023-12-25T20:17:54.452738 #1] INFO – : File > /etc/runit/1.d/copy-env chmod: +x chown:
I, [2023-12-25T20:17:54.456378 #1] INFO – : File > /etc/service/unicorn/run chmod: +x chown:
I, [2023-12-25T20:17:54.460041 #1] INFO – : File > /etc/service/nginx/run chmod: +x chown:
I, [2023-12-25T20:17:54.463568 #1] INFO – : File > /etc/runit/3.d/01-nginx chmod: +x chown:
I, [2023-12-25T20:17:54.467142 #1] INFO – : File > /etc/runit/3.d/02-unicorn chmod: +x chown:
I, [2023-12-25T20:17:54.467248 #1] INFO – : Sostituzione di # postgres con sv start postgres || exit 1 in /etc/service/unicorn/run
I, [2023-12-25T20:17:54.467504 #1] INFO – : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2023-12-25T20:17:54.469197 #1] INFO – : > cd /var/www/discourse && sudo -H -E -u discourse git reset --hard
138:C 25 Dic 2023 20:17:54.473 # oO0OoO0OoO0Oo Redis è in avvio oO0OoO0OoO0Oo
138:C 25 Dic 2023 20:17:54.473 # Redis version=7.0.7, bits=64, commit=00000000, modified=0, pid=138, appena avviato
138:C 25 Dic 2023 20:17:54.473 # Configurazione caricata
138:M 25 Dic 2023 20:17:54.473 * clock monotonic: POSIX clock_gettime
138:M 25 Dic 2023 20:17:54.473 # Warning: Impossibile creare la socket TCP di ascolto del server *:6379: bind: Indirizzo già in uso
138:M 25 Dic 2023 20:17:54.473 # Ascolto sulla porta 6379 (TCP) non riuscito, annullamento.
Aggiornamento file: 100% (33715/33715), fatto.
I, [2023-12-25T20:17:56.399637 #1] INFO – : HEAD è ora a 6ab1a19e9 DEV: Converti min_trust_level_to_allow_invite in gruppi (#24893)

I, [2023-12-25T20:17:56.399849 #1] INFO – : > cd /var/www/discourse && sudo -H -E -u discourse git clean -f
I, [2023-12-25T20:17:56.493840 #1] INFO – :
I, [2023-12-25T20:17:56.494022 #1] INFO – : > cd /var/www/discourse && sudo -H -E -u discourse bash -c ’
set -o errexit
if [ $(git rev-parse --is-shallow-repository) == “true” ]; then
git remote set-branches --add origin main
git remote set-branches origin tests-passed
git fetch --depth 1 origin tests-passed
else
git fetch --tags --prune-tags --prune --force origin
fi

fatal: impossibile accedere a ‘GitHub - discourse/discourse: A platform for community discussion. Free, open, simple. · GitHub’: gnutls_handshake() failed: Errore nella funzione pull.
I, [2023-12-25T20:21:09.159357 #1] INFO – :
I, [2023-12-25T20:21:09.159911 #1] INFO – : Terminazione processi asincroni
I, [2023-12-25T20:21:09.159976 #1] INFO – : Invio INT a HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main pid: 42
I, [2023-12-25T20:21:09.160015 #1] INFO – : Invio TERM a exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf pid: 111
2023-12-25 20:21:09.160 UTC [42] LOG: richiesta di arresto rapido ricevuta
111:signal-handler (1703535669) Ricevuto SIGTERM, pianificazione arresto…
2023-12-25 20:21:09.162 UTC [42] LOG: annullamento di qualsiasi transazione attiva
2023-12-25 20:21:09.163 UTC [42] LOG: worker di background “logical replication launcher” (PID 51) uscito con codice di uscita 1
2023-12-25 20:21:09.164 UTC [46] LOG: arresto in corso
2023-12-25 20:21:09.197 UTC [42] LOG: sistema database arrestato
111:M 25 Dic 2023 20:21:09.208 # Arresto richiesto dall’utente…
111:M 25 Dic 2023 20:21:09.208 * Salvataggio dello snapshot RDB finale prima dell’uscita.
111:M 25 Dic 2023 20:21:09.210 * DB salvato su disco
111:M 25 Dic 2023 20:21:09.210 # Redis è ora pronto per uscire, arrivederci…

NON RIUSCITO

Pups::ExecError: cd /var/www/discourse && sudo -H -E -u discourse bash -c ’
set -o errexit
if [ $(git rev-parse --is-shallow-repository) == “true” ]; then
git remote set-branches --add origin main
git remote set-branches origin tests-passed
git fetch --depth 1 origin tests-passed
else
git fetch --tags --prune-tags --prune --force origin
fi
’ non riuscito con ritorno #<Process::Status: pid 146 exit 128>
Posizione del fallimento: /usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups/exec_command.rb:132:in `spawn’
exec non riuscito con i parametri {“cd”=>“home", "hook"=>"code", "cmd"=>["sudo -H -E -u discourse git reset --hard", "sudo -H -E -u discourse git clean -f", "sudo -H -E -u discourse bash -c '\n set -o errexit\n if [ (git rev-parse --is-shallow-repository) == "true" ]; then\n git remote set-branches --add origin main\n git remote set-branches origin $version\n git fetch --depth 1 origin version\n else\n git fetch --tags --prune-tags --prune --force origin\n fi\n'", "sudo -H -E -u discourse bash -c '\n set -o errexit\n if [[ (git symbolic-ref --short HEAD) == $version ]] ; then\n git pull\n else\n git -c advice.detachedHead=false checkout $version\n fi\n’”, “sudo -H -E -u discourse git config user.discourse-version $version”, “mkdir -p tmp”, “chown discourse:www-data tmp”, “mkdir -p tmp/pids”, “mkdir -p tmp/sockets”, “touch tmp/.gitkeep”, “mkdir -p /shared/log/rails”, “bash -c "touch -a /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log"”, “bash -c "ln -s /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log $home/log"”, “bash -c "mkdir -p /shared/{uploads,backups}"”, “bash -c "ln -s /shared/{uploads,backups} $home/public"”, “bash -c "mkdir -p /shared/tmp/{backups,restores}"”, “bash -c "ln -s /shared/tmp/{backups,restores} $home/tmp"”, “chown -R discourse:www-data /shared/log/rails /shared/uploads /shared/backups /shared/tmp”, “[ ! -d public/plugins ] || find public/plugins/ -maxdepth 1 -xtype l -delete”]}
bootstrap non riuscito con codice di uscita 128
** BOOTSTRAP NON RIUSCITO ** scorri verso l’alto e cerca messaggi di errore precedenti, potrebbero essercene più di uno.
./discourse-doctor può aiutare a diagnosticare il problema.
7a782f1a982bc1b1f900ccdaba74ff113e442401162e2f53250aa4bb7b611d2f
==================== FINE LOG RICOSTRUZIONE ====================
Ricostruzione app non riuscita.

Controllo del nome di dominio . . .

Connessione a discourse.altisliferoleplay.org riuscita.
Dovresti probabilmente rimuovere eventuali plugin non standard e ricostruire.
Tentativo di riavvio del contenitore esistente. . .
architettura x86_64 rilevata.

  • /usr/bin/docker run --shm-size=512m -d --restart=always -e LANG=en_US.UTF-8 -e RAILS_ENV=production -e UNICORN_WORKERS=4 -e UNICORN_SIDEKIQS=1 -e RUBY_GC_HEAP_GROWTH_MAX_SLOTS=40000 -e RUBY_GC_HEAP_INIT_SLOTS=400000 -e RUBY_GC_HEAP_OLDOBJECT_LIMIT_FACTOR=1.5 -e DISCOURSE_DB_SOCKET=/var/run/postgresql -e DISCOURSE_DB_HOST= -e DISCOURSE_DB_PORT= -e LETSENCRYPT_DIR=/shared/letsencrypt -e DISCOURSE_FORCE_HTTPS=true -e LC_ALL=en_US.UTF-8 -e LANGUAGE=en_US.UTF-8 -e DISCOURSE_HOSTNAME=discourse.altisliferoleplay.org -e DISCOURSE_DEVELOPER_EMAILS=support@alitsliferoleplay.org -e DISCOURSE_SMTP_ADDRESS=smtp-relay.brevo.com -e DISCOURSE_SMTP_PORT=587 -e DISCOURSE_SMTP_USER_NAME=johnwilson.alrp@gmail.com -e DISCOURSE_SMTP_PASSWORD=-e DISCOURSE_SMTP_DOMAIN=discourse.altisliferoleplay.org -e DISCOURSE_NOTIFICATION_EMAIL=noreply@discourse.altisliferoleplay.org -e LETSENCRYPT_ACCOUNT_EMAIL=me@example.com -h website1-2-app -e DOCKER_HOST_IP=172.17.0.1 --name app -t -p 80:80 -p 443:443 -v /var/discourse/shared/standalone:/shared -v /var/discourse/shared/standalone/log/var-log:/var/log --mac-address 02:2f:d7:8b:2a:ee local_discourse/app /sbin/boot
    Impossibile trovare l’immagine ‘local_discourse/app:latest’ localmente
    docker: Errore risposta dal demone: accesso pull negato per local_discourse/app, il repository non esiste o potrebbe richiedere ‘docker login’: negato: accesso richiesto alla risorsa è negato.
    Vedi ‘docker run --help’.
    Riavvio del contenitore non riuscito.

==================== PLUGIN ====================
- git clone GitHub - discourse/docker_manager: Plugin for use with discourse docker image · GitHub

Nessun plugin non ufficiale rilevato.

Vedi discourse/lib/plugin/metadata.rb at main · discourse/discourse · GitHub per l’elenco ufficiale.

========================================
Versione Discourse su discourse.altisliferoleplay.org: NON TROVATA
Versione Discourse su localhost: NON TROVATA

==================== INFORMAZIONI MEMORIA ====================
RAM (MB): 16757

           totale        usato        libero      condiviso  buff/cache   disponibile

Mem: 15980 465 9572 1 5943 15176
Swap: 0 0 0

==================== CONTROLLO SPAZIO DISCO ====================
---------- Spazio Disco OS ----------
Filesystem Dimensione Usato Disponib Uso% Montato su
/dev/root 49G 6.6G 42G 14% /

==================== INFORMAZIONI DISCO ====================
Disco /dev/loop0: 63.91 MiB, 67014656 byte, 130888 settori
Unità: settori di 1 * 512 = 512 byte
Dimensione settore (logico/fisico): 512 byte / 512 byte
Dimensione I/O (minima/ottimale): 512 byte / 512 byte

Disco /dev/loop1: 355.68 MiB, 372961280 byte, 728440 settori
Unità: settori di 1 * 512 = 512 byte
Dimensione settore (logico/fisico): 512 byte / 512 byte
Dimensione I/O (minima/ottimale): 512 byte / 512 byte

Disco /dev/loop2: 111.95 MiB, 117387264 byte, 229272 settori
Unità: settori di 1 * 512 = 512 byte
Dimensione settore (logico/fisico): 512 byte / 512 byte
Dimensione I/O (minima/ottimale): 512 byte / 512 byte

Disco /dev/loop3: 40.86 MiB, 42840064 byte, 83672 settori
Unità: settori di 1 * 512 = 512 byte
Dimensione settore (logico/fisico): 512 byte / 512 byte
Dimensione I/O (minima/ottimale): 512 byte / 512 byte

Disco /dev/nvme0n1: 50 GiB, 53687091200 byte, 104857600 settori
Modello disco: nvme_card-pd
Unità: settori di 1 * 512 = 512 byte
Dimensione settore (logico/fisico): 512 byte / 512 byte
Dimensione I/O (minima/ottimale): 512 byte / 512 byte
Tipo etichetta disco: gpt
Identificatore disco: 7948355F-72D1-4BD9-A178-7B0A4D5B967A

Dispositivo Inizio Fine Settori Dimensione Tipo
/dev/nvme0n1p1 227328 104857566 104630239 49.9G Filesystem Linux
/dev/nvme0n1p14 2048 10239 8192 4M Boot BIOS
/dev/nvme0n1p15 10240 227327 217088 106M Sistema EFI

Le voci della tabella delle partizioni non sono in ordine di disco.

==================== FINE INFORMAZIONI DISCO ====================

==================== TEST MAIL ====================
Per un test robusto, ottieni un indirizzo da http://www.mail-tester.com/
Oppure invia semplicemente un messaggio di test a te stesso.


Messaggio di Errore

NON RIUSCITO

Pups::ExecError: cd /var/www/discourse && sudo -H -E -u discourse bash -c ’
set -o errexit
if [ $(git rev-parse --is-shallow-repository) == “true” ]; then
git remote set-branches --add origin main
git remote set-branches origin tests-passed
git fetch --depth 1 origin tests-passed
else
git fetch --tags --prune-tags --prune --force origin
fi
’ non riuscito con ritorno #<Process::Status: pid 146 exit 128>
Posizione del fallimento: /usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups/exec_command.rb:132:in `spawn’
exec non riuscito con i parametri {“cd”=>“home", "hook"=>"code", "cmd"=>["sudo -H -E -u discourse git reset --hard", "sudo -H -E -u discourse git clean -f", "sudo -H -E -u discourse bash -c '\n set -o errexit\n if [ (git rev-parse --is-shallow-repository) == "true" ]; then\n git remote set-branches --add origin main\n git remote set-branches origin $version\n git fetch --depth 1 origin version\n else\n git fetch --tags --prune-tags --prune --force origin\n fi\n'", "sudo -H -E -u discourse bash -c '\n set -o errexit\n if [[ (git symbolic-ref --short HEAD) == $version ]] ; then\n git pull\n else\n git -c advice.detachedHead=false checkout $version\n fi\n’”, “sudo -H -E -u discourse git config user.discourse-version $version”, “mkdir -p tmp”, “chown discourse:www-data tmp”, “mkdir -p tmp/pids”, “mkdir -p tmp/sockets”, “touch tmp/.gitkeep”, “mkdir -p /shared/log/rails”, “bash -c "touch -a /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log"”, “bash -c "ln -s /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log $home/log"”, “bash -c "mkdir -p /shared/{uploads,backups}"”, “bash -c "ln -s /shared/{uploads,backups} $home/public"”, “bash -c "mkdir -p /shared/tmp/{backups,restores}"”, “bash -c "ln -s /shared/tmp/{backups,restores} $home/tmp"”, “chown -R discourse:www-data /shared/log/rails /shared/uploads /shared/backups /shared/tmp”, “[ ! -d public/plugins ] || find public/plugins/ -maxdepth 1 -xtype l -delete”]}
bootstrap non riuscito con codice di uscita 128
** BOOTSTRAP NON RIUSCITO ** scorri verso l’alto e cerca messaggi di errore precedenti, potrebbero essercene più di uno.
./discourse-doctor può aiutare a diagnosticare il problema.
7a782f1a982bc1b1f900ccdaba74ff113e442401162e2f53250aa4bb7b611d2f

Sembra che sia fallito qui:

fatal: unable to access 'https://github.com/discourse/discourse.git/': gnutls_handshake() failed: Error in the pull function.

Questo potrebbe esserti d’aiuto: Fresh install failing - gnutls_handshake() failed: Error in the pull function - #12 by Sisko